class CTypCinnostisController < ApplicationController
  # GET /c_typ_cinnostis
  # GET /c_typ_cinnostis.json
  def index
    @c_typ_cinnostis = CTypCinnosti.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @c_typ_cinnostis }
    end
  end

  # GET /c_typ_cinnostis/1
  # GET /c_typ_cinnostis/1.json
  def show
    @c_typ_cinnosti = CTypCinnosti.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @c_typ_cinnosti }
    end
  end

  # GET /c_typ_cinnostis/new
  # GET /c_typ_cinnostis/new.json
  def new
    @c_typ_cinnosti = CTypCinnosti.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @c_typ_cinnosti }
    end
  end

  # GET /c_typ_cinnostis/1/edit
  def edit
    @c_typ_cinnosti = CTypCinnosti.find(params[:id])
  end

  # POST /c_typ_cinnostis
  # POST /c_typ_cinnostis.json
  def create
    @c_typ_cinnosti = CTypCinnosti.new(params[:c_typ_cinnosti])

    respond_to do |format|
      if @c_typ_cinnosti.save
        format.html { redirect_to @c_typ_cinnosti, notice: 'C typ cinnosti was successfully created.' }
        format.json { render json: @c_typ_cinnosti, status: :created, location: @c_typ_cinnosti }
      else
        format.html { render action: "new" }
        format.json { render json: @c_typ_cinnosti.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /c_typ_cinnostis/1
  # PUT /c_typ_cinnostis/1.json
  def update
    @c_typ_cinnosti = CTypCinnosti.find(params[:id])

    respond_to do |format|
      if @c_typ_cinnosti.update_attributes(params[:c_typ_cinnosti])
        format.html { redirect_to @c_typ_cinnosti, notice: 'C typ cinnosti was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: "edit" }
        format.json { render json: @c_typ_cinnosti.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /c_typ_cinnostis/1
  # DELETE /c_typ_cinnostis/1.json
  def destroy
    @c_typ_cinnosti = CTypCinnosti.find(params[:id])
    @c_typ_cinnosti.destroy

    respond_to do |format|
      format.html { redirect_to c_typ_cinnostis_url }
      format.json { head :no_content }
    end
  end
end
